##
##  pngrewrite.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         pngrewrite
Summary:      PNG Palette Reduction
URL:          http://entropymine.com/jason/pngrewrite/
Vendor:       Jason Summer
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Graphics
License:      Unrestricted Use
Version:      1.4.0
Release:      20100609

#   list of sources
Source0:      http://entropymine.com/jason/pngrewrite/pngrewrite-%{version}.zip

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, infozip
PreReq:       OpenPKG, openpkg >= 20160101

%description
    Pngrewrite is command-line utility that reduces the unnecessarily
    large palettes that too many programs write into PNG files. It also
    optimizes transparency settings, and reduces the bits-per-pixel if
    possible. Handy for post-processing images before putting them on a
    web site.

%track
    prog pngrewrite = {
        version   = %{version}
        url       = http://entropymine.com/jason/pngrewrite/
        regex     = pngrewrite-(__VER__)\.zip
    }

%prep
    %setup -q -T -c
    unzip -q -x %{SOURCE0}

%build
    %{l_cc} %{l_cflags -O} \
        %{l_cppflags} `pkg-config libpng --cflags` \
        -o pngrewrite pngrewrite.c libpngrewrite.c \
        %{l_ldflags} `pkg-config libpng --libs`

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_shtool} install -c -s -m 755 \
        pngrewrite $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

